{% extends 'base.html.twig' %}

{% block title %}{{ 'box.dav.addressbook.create.title'|trans }}{% endblock %}

{% block body -%}

    {% for flashMessage in app.session.flashbag.get('notice') %}
        <div class="alert alert-info">
            {{ flashMessage|trans }}
        </div>
    {% endfor %}

    {{ form_start(form) }}

    {{ form_widget(form) }}

    <div class="form-group">
        <button type="submit">{{ 'submit'|trans }}</button>
    </div>



    <br />

    <a href="{{ is_granted('ROLE_ADMIN') ? path('box_show', {id: return}) : path('my_show') }}">
        <span class="glyphicon glyphicon-chevron-left"></span> {{ 'back.to_box'|trans }}
    </a>

{% endblock %}

{% block javascripts %}
<script>
$("#address_book_displayName").keyup(function(){
    var input = $(this).val().toLowerCase();
    var from = "ÁÄÂÀÃÅČÇĆĎÉĚËÈÊẼĔȆĞÍÌÎÏİŇÑÓÖÒÔÕØŘŔŠŞŤÚŮÜÙÛÝŸŽáäâàãåčçćďéěëèêẽĕȇğíìîïıňñóöòôõøðřŕšşťúůüùûýÿžþÞĐđßÆa·/_,:;";
    var to   = "AAAAAACCCDEEEEEEEEGIIIIINNOOOOOORRSSTUUUUUYYZaaaaaacccdeeeeeeeegiiiiinnooooooorrsstuuuuuyyzbBDdBAa------";

    for (var i=0, l=from.length ; i<l ; i++) {
        input = input.replace(new RegExp(from.charAt(i), 'g'), to.charAt(i));
    }

    input = input.replace(/[^a-z0-9 -]/g, '') // remove invalid chars
        .replace(/\s+/g, '-') // collapse whitespace and replace by -
        .replace(/-+/g, '-'); // collapse dashes

    $("#address_book_uri").val(input);
});
</script>

{% endblock %}
